diff --git a/tests/test_toulouse_maelis.py b/tests/test_toulouse_maelis.py
index 0907c98f..3f5556ca 100644
--- a/tests/test_toulouse_maelis.py
+++ b/tests/test_toulouse_maelis.py
@@ -2046,17 +1874,17 @@ def test_create_child_maelis_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-child'
     assert 'Il existe déjà' in resp.json['err_desc']
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child(mocked_post, mocked_get, con, app):
+def test_update_child(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
@@ -2081,21 +1909,17 @@ def test_update_child_not_linked_error(con, app):
         'birth/place': 'Port Arthur',
     }
 
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = []
+def test_update_child_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'plop',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
@@ -2103,17 +1927,17 @@ def test_update_child_wrong_referential_key_error(mocked_post, mocked_get, con,
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "sexe key value 'plop' do not belong to 'Sex' required referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_connection_error(mocked_post, mocked_get, con, app):
+def test_update_child_connection_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.side_effect = CONNECTION_ERROR
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
@@ -2123,17 +1947,17 @@ def test_update_child_connection_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_not_exists_error(mocked_post, mocked_get, con, app):
+def test_update_child_not_exists_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.return_value = READ_RL1_FAMILY
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
@@ -2143,19 +1967,19 @@ def test_update_child_not_exists_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42', params=params)
     assert resp.json['err'] == 'no-child'
     assert resp.json['err_desc'] == 'No child 42 to update on family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_coordinate(mocked_post, mocked_get, con, app):
+def test_update_coordinate(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CSP, READ_ORGAN, UPDATE_FAMILY]
+    mocked_post.return_value = UPDATE_FAMILY
     url = get_endpoint('update-coordinate')
     params = {
         'adresse/num': '169',
         'adresse/numComp': 'B',
         'adresse/street1': 'Château',
         'adresse/street2': None,
         'adresse/town': 'Paris',
         'adresse/zipcode': '75014',
@@ -2193,17 +2017,17 @@ def test_update_coordinate_schema_error(con, app):
     }
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params, status=400)
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == "'true more text' is not of type 'boolean'"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_coordinate_wrong_referential_key_error(mocked_post, mocked_get, con, app):
+def test_update_coordinate_wrong_referential_key_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
     mocked_post.return_value = UPDATE_FAMILY
     url = get_endpoint('update-coordinate')
     params = {
         'adresse/num': '169',
         'adresse/numComp': 'plop',
         'adresse/street1': 'Château',
         'adresse/street2': None,
@@ -2216,19 +2040,19 @@ def test_update_coordinate_wrong_referential_key_error(mocked_post, mocked_get,
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc'] == "adresse/numComp key value 'plop' do not belong to 'Complement' referential"
     )
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_person(mocked_post, mocked_get, con, app):
+def test_create_person(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_QUALITIES, READ_FAMILY, UPDATE_FAMILY]
+    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('create-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'M',
         'dateBirth': '1972-01-01',
@@ -2294,21 +2118,17 @@ def test_create_person_not_linked_error(con, app):
         'contact/mail': None,
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_person_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_QUALITIES]
+def test_create_person_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'plop',
         'dateBirth': '1972-01-01',
@@ -2320,19 +2140,19 @@ def test_create_person_wrong_referential_key_error(mocked_post, mocked_get, con,
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "sexe key value 'plop' do not belong to 'Sex' referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_person(mocked_post, mocked_get, con, app):
+def test_update_person(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_QUALITIES, READ_FAMILY, UPDATE_FAMILY]
+    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('update-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'M',
         'dateBirth': '1972-01-01',
@@ -2363,19 +2183,19 @@ def test_update_person_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local&person_id=614059', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_person_not_found(mocked_post, mocked_get, con, app):
+def test_update_person_not_found(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_QUALITIES, READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('update-person')
     params = {
         'civility': None,
         'firstname': 'Mathias',
         'lastname': 'Cassel',
         'quality': 'O',
         'sexe': 'M',
         'dateBirth': '1972-01-01',
@@ -2409,30 +2229,30 @@ def test_delete_person_not_linked_error(con, app):
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
 def test_delete_person_not_found(mocked_post, mocked_get, con, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('delete-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&person_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '000000' authorized person on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_child_person(mocked_post, mocked_get, con, app):
+def test_create_child_person(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY, UPDATE_CHILD_AUTO]
+    mocked_post.side_effect = [READ_FAMILY, UPDATE_CHILD_AUTO]
     url = get_endpoint('create-child-person')
     params = {
         'personInfo/civility': 'MME',
         'personInfo/firstname': 'Diana',
         'personInfo/lastname': 'Ross',
         'personInfo/sexe': 'F',
         'personInfo/dateBirth': '1944-03-26',
         'personInfo/contact/phone': '0199999999',
@@ -2480,21 +2300,17 @@ def test_create_child_person_not_linked_error(con, app):
         'personQuality/code': 'TUTEUR',
     }
 
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child_person_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES]
+def test_create_child_person_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('create-child-person')
     params = {
         'personInfo/civility': 'MME',
         'personInfo/firstname': 'Diana',
         'personInfo/lastname': 'Ross',
         'personInfo/sexe': 'plop',
         'personInfo/dateBirth': '1944-03-26',
         'personInfo/contact/phone': '0199999999',
@@ -2506,19 +2322,19 @@ def test_create_child_person_wrong_referential_key_error(mocked_post, mocked_get
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "personInfo/sexe key value 'plop' do not belong to 'Sex' referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_create_child_person_no_child_error(mocked_post, mocked_get, con, app):
+def test_create_child_person_no_child_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('create-child-person')
     params = {
         'personInfo/civility': 'MME',
         'personInfo/firstname': 'Diana',
         'personInfo/lastname': 'Ross',
         'personInfo/sexe': 'F',
         'personInfo/dateBirth': '1944-03-26',
         'personInfo/contact/phone': '01999999999',
@@ -2530,19 +2346,19 @@ def test_create_child_person_no_child_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42', params=params)
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_person(mocked_post, mocked_get, con, app):
+def test_update_child_person(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY, UPDATE_FAMILY]
+    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/sexe': 'M',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
@@ -2570,21 +2386,17 @@ def test_update_child_person_not_linked_error(con, app):
         'personQuality/code': 'O',
     }
 
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=614719', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_person_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES]
+def test_update_child_person_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/sexe': 'plop',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
@@ -2596,19 +2408,19 @@ def test_update_child_person_wrong_referential_key_error(mocked_post, mocked_get
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=614719', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "personInfo/sexe key value 'plop' do not belong to 'Sex' referential"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_person_no_child_error(mocked_post, mocked_get, con, app):
+def test_update_child_person_no_child_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
         'personInfo/contact/mobile': None,
@@ -2619,19 +2431,19 @@ def test_update_child_person_no_child_error(mocked_post, mocked_get, con, app):
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42&person_id=614719', params=params)
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_person_not_found(mocked_post, mocked_get, con, app):
+def test_update_child_person_not_found(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_CIVILITIES, READ_QUALITIES, READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('update-child-person')
     params = {
         'personInfo/civility': 'M.',
         'personInfo/firstname': 'Angelo',
         'personInfo/lastname': 'Bent',
         'personInfo/dateBirth': '1985-06-22',
         'personInfo/contact/phone': '0102030405',
         'personInfo/contact/mobile': None,
@@ -2665,43 +2477,43 @@ def test_delete_child_person_not_linked_error(con, app):
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
 def test_delete_child_person_no_child_error(mocked_post, mocked_get, con, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('delete-child-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42&person_id=614719')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "no '42' child on '1312' family"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
 def test_delete_child_person_no_person_error(mocked_post, mocked_get, con, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY]
+    mocked_post.return_value = READ_FAMILY
     url = get_endpoint('delete-child-person')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880&person_id=000000')
     assert resp.json['err'] == 'not-found'
     assert resp.json['err_desc'] == "No '000000' authorized person on '613880' child"
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_dietcode(mocked_post, mocked_get, con, app):
+def test_update_child_dietcode(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_DIETCODE, UPDATE_DIETCODE]
+    mocked_post.return_value = UPDATE_DIETCODE
     url = get_endpoint('update-child-dietcode')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878&dietcode=RSV')
     assert_sent_payload(mocked_post, 'Q_update_child_dietcode.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
@@ -2709,36 +2521,32 @@ def test_update_child_dietcode(mocked_post, mocked_get, con, app):
 def test_update_child_dietcode_not_linked_error(con, app):
     url = get_endpoint('update-child-dietcode')
 
     resp = app.post_json(url + '?NameID=local&child_id=613878&dietcode=RVS')
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_dietcode_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_DIETCODE, UPDATE_DIETCODE]
+def test_update_child_dietcode_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('update-child-dietcode')
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878&dietcode=plop')
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc'] == "dietcode parameter key value 'plop' do not belong to 'DietCode' referential"
     )
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_pai(mocked_post, mocked_get, con, app):
+def test_update_child_pai(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_PAI, UPDATE_PAI]
+    mocked_post.return_value = UPDATE_PAI
     url = get_endpoint('update-child-pai')
     params = {
         'code': 'PAIALI',
         'dateDeb': '2022-01-01',
         'dateFin': '',
         'description': 'some text',
     }
 
@@ -2794,19 +2602,19 @@ def test_update_child_pai_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_pai_soap_error(mocked_post, mocked_get, con, app):
+def test_update_child_pai_soap_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_PAI, UPDATE_PAI_500]
+    mocked_post.return_value = UPDATE_PAI_500
     url = get_endpoint('update-child-pai')
     params = {
         'code': 'PAIALI',
         'dateDeb': '2022-01-01',
         'dateFin': '',
         'description': 'a' * 501,
     }
 
@@ -2815,19 +2623,19 @@ def test_update_child_pai_soap_error(mocked_post, mocked_get, con, app):
     assert resp.json['err'] == 'Family-updateChildPAI-soap:Server'
     assert 'Une erreur est survenue' in resp.json['err_desc']
     assert 'valeur trop grande' in resp.json['err_desc']
     assert 'maximum : 500' in resp.json['err_desc']
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record(mocked_post, mocked_get, con, app):
+def test_update_child_medical_record(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_VACCIN, UPDATE_MEDICAL]
+    mocked_post.return_value = UPDATE_MEDICAL
     url = get_endpoint('update-child-medical-record')
     params = {
         'familyDoctor/name': 'Dre',
         'familyDoctor/phone': '0612341234',
         'familyDoctor/address/street1': 'Alameda',
         'familyDoctor/address/zipcode': '90220',
         'familyDoctor/address/town': 'Compton',
         'allergy1': 'butterscotch, imitation butterscotch, glow-in-the-dark monster make-up, and shrimp',
@@ -2848,19 +2656,19 @@ def test_update_child_medical_record(mocked_post, mocked_get, con, app):
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
     assert_sent_payload(mocked_post, 'Q_update_child_medical_record.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record_with_empty_vaccin_list(mocked_post, mocked_get, con, app):
+def test_update_child_medical_record_with_empty_vaccin_list(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_VACCIN, UPDATE_MEDICAL]
+    mocked_post.return_value = UPDATE_MEDICAL
     url = get_endpoint('update-child-medical-record')
     params = {
         'familyDoctor/name': 'Dre',
         'familyDoctor/phone': '0612341234',
         'familyDoctor/address/street1': 'Alameda',
         'familyDoctor/address/zipcode': '90220',
         'familyDoctor/address/town': 'Compton',
         'allergy1': 'butterscotch, imitation butterscotch, glow-in-the-dark monster make-up, and shrimp',
@@ -2884,37 +2692,33 @@ def test_update_child_medical_record_not_linked_error(con, app):
 
     resp = app.post_json(url + '?NameID=local&child_id=613878', params={})
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
 @mock.patch('passerelle.utils.Request.get')
 @mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record_soap_error(mocked_post, mocked_get, con, app):
+def test_update_child_medical_record_soap_error(mocked_post, mocked_get, con, ref, app):
     mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_VACCIN, UPDATE_MEDICAL_500]
+    mocked_post.return_value = UPDATE_MEDICAL_500
     url = get_endpoint('update-child-medical-record')
     params = {
         'vaccinList/0/code': 'DTC',
         'vaccinList/0/vaccinationDate': '2022-02-31',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613878', params=params)
     assert resp.json['err'] == 'Family-updateChildMedicalRecord-soap:Client'
     assert 'Unmarshalling Error' in resp.json['err_desc']
     assert 'pas une valeur de calendrier grégorien' in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_medical_record_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_VACCIN]
+def test_update_child_medical_record_wrong_referential_key_error(con, ref, app):
     url = get_endpoint('update-child-medical-record')
     params = {
         'familyDoctor/name': 'Dre',
         'familyDoctor/phone': '0612341234',
         'familyDoctor/address/street1': 'Alameda',
         'familyDoctor/address/zipcode': '90220',
         'familyDoctor/address/town': 'Compton',
         'vaccinList/0/code': 'DTC',
-- 
2.30.2

